﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="HoverMenu.aspx.cs" Inherits="HoverMenu" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        .style1
        {
            font-family: "Trebuchet MS";
            font-size: large;
            color: #000066;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <ajaxToolkit:ToolkitScriptManager runat="Server" ID="ScriptManager1" />
    <div align="center">
        <span class="style1"><strong>HoverMenu Demonstration</strong></span>
        <p>Mouse over the grid below to see the options for each row.</p>
    
        <asp:UpdatePanel ID="up1" runat="server">
            <ContentTemplate>
    
                <asp:GridView ID="GV" runat="server" OnRowEditing="GV_OnRowEditing" OnRowCancelingEdit="GV_OnRowCancelingEdit"
                     OnRowUpdating="GV_OnRowUpdating" OnRowDeleting="GV_OnRowDeleting"
                    AutoGenerateColumns="False" OnRowCommand="GV_OnRowCommand"
                    Width="90%" BackColor="Azure" GridLines="None" >
                    <Columns>
                        <asp:TemplateField>
                            <ItemTemplate>
                                <asp:Panel ID="PopupMenu" runat="server">
                                    <div style="border:1px outset white;padding:2px;">
                                        <div><asp:LinkButton ID="LinkButton1" runat="server" CommandName="Edit" Text="Edit" /></div>
                                        <div><asp:LinkButton ID="LinkButton2" runat="server" CommandName="Delete" Text="Delete" /></div>
                                    </div>
                                </asp:Panel>

                                <asp:Panel ID="pnlitem" runat="server">
                                    <table width="80%">
                                        <tr>
                                            <td width="50%" align="center">
                                                <asp:Label Font-Bold="true" ID="lblename" runat="server"
                                                Text='<%# DataBinder.Eval(Container.DataItem,"Ename") %>' />
                                                <asp:Label Font-Bold="true" ID="lblempno" runat="server"
                                                Text='<%# DataBinder.Eval(Container.DataItem,"empno") %>' Visible="false" />
                                            </td>
                                            <td width="50%" align="center">
                                                <asp:Label ID="lbljob" runat="server"
                                                Text='<%# DataBinder.Eval(Container.DataItem,"job") %>' />
                                            </td>
                                            
                                        </tr>
                                    </table>
                                </asp:Panel>

                                <ajaxToolkit:HoverMenuExtender ID="hme2" runat="Server"
                                    HoverCssClass="popupHover"
                                    PopupControlID="PopupMenu"
                                    PopupPosition="Left"
                                    TargetControlID="pnlitem"
                                     PopDelay="25"/>
                            </ItemTemplate>
                            <EditItemTemplate>  
                                <asp:Panel ID="pnlEdit" runat="server" Width="80%">
                                    <table width="80%">
                                        <tr>
                                            <td width="30%">name:<br />
                                            
                                            <asp:TextBox Font-Bold="true" ID="txtename" runat="server"
                                                Text='<%# Bind("Ename") %>' Width="100" />
                                            <asp:Label Font-Bold="true" ID="lblempno" runat="server"
                                                Text='<%# DataBinder.Eval(Container.DataItem,"empno") %>' Visible="false" />
                                            </td>
                                            <td width="55%">job:<br /><asp:TextBox ID="txtjob" runat="server"
                                                Text='<%# Bind("job") %>' Width="150" /></td>
                                            
                                        </tr>
                                    </table>
                                </asp:Panel>

                                <ajaxToolkit:HoverMenuExtender ID="hme1" runat="Server"
                                    TargetControlID="pnlEdit"
                                    PopupControlID="PopupMenu"
                                    HoverCssClass="popupHover"
                                    PopupPosition="Right"
                                    PopDelay="25" />
                               
                                <asp:Panel ID="PopupMenu" runat="server" Width="80">
                                    <div style="border:1px outset white">
                                        <asp:LinkButton ID="LinkButton1" runat="server"
                                            CausesValidation="True" Text="Update" CommandName="Update" />
                                        <br />
                                        <asp:LinkButton ID="LinkButton2" runat="server"
                                            CausesValidation="False" Text="Cancel" CommandName="Cancel" />
                                    </div>
                                </asp:Panel>
                            </EditItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
               
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
    </form>
</body>
</html>
