﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Data;

public partial class HoverMenu : System.Web.UI.Page
{
    SqlConnection con = new SqlConnection("DataBase=ENGSOFT;User id=sa;Password=P@ssword9");
    SqlDataAdapter da;
    DataSet ds;
    DataTable dt;
    SqlCommand cmd;
    int DeptNo = 1;
    
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Bind_GV();
        }
    }
    protected void Bind_GV()
    {
        cmd = new SqlCommand("Get_Employees", con);
        cmd.CommandType = CommandType.StoredProcedure;
        cmd.Parameters.AddWithValue("@DeptNo", DeptNo);
        dt = new DataTable();

        con.Open();
        da = new SqlDataAdapter(cmd);
        da.Fill(dt);
        con.Close();
        if (dt.Rows.Count > 0)
        {
            GV.DataSource = dt;
            GV.DataBind();
        }
    }
    protected void GV_OnRowCommand(object sender, GridViewCommandEventArgs e)
    {
       
    }
    protected void GV_OnRowEditing(object sender, GridViewEditEventArgs e)
    {
        GV.EditIndex = e.NewEditIndex;
        Bind_GV();
    }
    protected void GV_OnRowCancelingEdit(object sender, GridViewCancelEditEventArgs e)
    {
        GV.EditIndex = -1;
        Bind_GV();
    }
    protected void GV_OnRowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        int EmpNo = Convert.ToInt32((GV.Rows[e.RowIndex].FindControl("lblempno") as Label).Text);
        TextBox EName = (TextBox)GV.Rows[e.RowIndex].FindControl("txtename");
        TextBox Job = (TextBox)GV.Rows[e.RowIndex].FindControl("txtjob");

        con.Open();
        cmd = new SqlCommand("Update_Employee_Details", con);
        cmd.CommandType = CommandType.StoredProcedure;
        cmd.Parameters.AddWithValue("@EMPNO", EmpNo);
        cmd.Parameters.AddWithValue("@Ename", EName.Text);
        cmd.Parameters.AddWithValue("@Job", Job.Text);
        cmd.ExecuteNonQuery();
        con.Close();
        GV.EditIndex = -1;
        Bind_GV();
    }
    protected void GV_OnRowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        con.Open();
        int EmpNo = Convert.ToInt32((GV.Rows[e.RowIndex].FindControl("lblempno") as Label).Text);

        cmd = new SqlCommand("Delete_Employee_Details", con);
        cmd.CommandType = CommandType.StoredProcedure;
        cmd.Parameters.AddWithValue("@EmpNo", EmpNo);
        cmd.ExecuteNonQuery();
        con.Close();
        Bind_GV();
    }
}